# Uses of Interface
org.jboss.logging.processor.model.MessageInterface

Packages that use MessageInterface
Package
Description
org.jboss.logging.processor.apt
org.jboss.logging.processor.apt.report
org.jboss.logging.processor.generator.model
org.jboss.logging.processor.model
org.jboss.logging.processor.validation

## Uses of MessageInterface in org.jboss.logging.processor.apt

Methods in org.jboss.logging.processor.apt that return MessageInterface
Modifier and Type
Method
Description
`static MessageInterface`
MessageInterfaceFactory.`of(ProcessingEnvironment processingEnv, TypeElement interfaceElement, Properties expressionProperties, boolean addGeneratedAnnotation)`
Creates a message interface from the `TypeElement` specified by the `interfaceElement` parameter.
Methods in org.jboss.logging.processor.apt with parameters of type MessageInterface
Modifier and Type
Method
Description
`abstract void`
AbstractGenerator.`processTypeElement(TypeElement annotation, TypeElement element, MessageInterface messageInterface)`
Processes a type element.
`void`
ReportFileGenerator.`processTypeElement(TypeElement annotation, TypeElement element, MessageInterface messageInterface)`

## Uses of MessageInterface in org.jboss.logging.processor.apt.report

Methods in org.jboss.logging.processor.apt.report with parameters of type MessageInterface
Modifier and Type
Method
Description
`static ReportWriter`
ReportWriter.`of(ReportType reportType, MessageInterface messageInterface, BufferedWriter writer)`
Creates a new report writer based on the report type.

## Uses of MessageInterface in org.jboss.logging.processor.generator.model

Methods in org.jboss.logging.processor.generator.model that return MessageInterface
Modifier and Type
Method
Description
`final MessageInterface`
ClassModel.`messageInterface()`
Returns the message interface being used.
Methods in org.jboss.logging.processor.generator.model with parameters of type MessageInterface
Modifier and Type
Method
Description
`static ClassModel`
ClassModelFactory.`implementation(ProcessingEnvironment processingEnv, MessageInterface messageInterface)`
Creates an implementation code model from the message interface.
`static String`
ClassModelHelper.`implementationClassName(MessageInterface messageInterface)`
Creates the implementation class name for the message interface.
`static String`
ClassModelHelper.`implementationClassName(MessageInterface messageInterface, String translationSuffix)`
Creates the implementation class name for the message interface.
`static ClassModel`
ClassModelFactory.`translation(ProcessingEnvironment processingEnv, MessageInterface messageInterface, String translationSuffix, Map<MessageMethod,String> translations)`
Creates a class model for created translation implementations of the message interface.

## Uses of MessageInterface in org.jboss.logging.processor.model

Methods in org.jboss.logging.processor.model that return types with arguments of type MessageInterface
Modifier and Type
Method
Description
`Set<MessageInterface>`
MessageInterface.`extendedInterfaces()`
A set of qualified interface names this interface extends or an empty set.

## Uses of MessageInterface in org.jboss.logging.processor.validation

Methods in org.jboss.logging.processor.validation with parameters of type MessageInterface
Modifier and Type
Method
Description
`Collection<ValidationMessage>`
IdLengthValidator.`validate(MessageInterface messageInterface)`
`Collection<ValidationMessage>`
IdRangeValidator.`validate(MessageInterface messageInterface)`
`Collection<ValidationMessage>`
MessageIdValidator.`validate(MessageInterface messageInterface, MessageMethod messageMethod)`
`final Collection<ValidationMessage>`
Validator.`validate(MessageInterface messageInterface)`
Validates the message interface and returns a collection of validation messages or an empty collection.